Subject: INCORRECT ORDER RECEIVED - please advise next steps
From: Megan Ziglar <[email-masked]>
To: [email-masked]
Date: Wed, 14 May 2025 14:00:33 -0400

Hi,

I just tried calling your customer support and was told to send an email instead.

I placed an order yesterday for 6 WHITE towel sets:

6 of: Madison Park 800GSM Bathroom Towel Set of 8 100% Cotton Bath Towel Set for Bathroom Luxurious Highly Absorbent 2 Bath Towels 2 Hand Towels 4 Washcloths Quick Dry Spa Quality White
Sold by: Amazon.com Services, Inc
Supplied by: Other

Condition: New

AMAZON ORDER 113-2315352-7045026

Today, I received:

5 White towel sets and 1 Light Blue towel set - see attached photos.

Please send the 6th white towel set to the same address:

Megan Ziglar

117 Ann Street

Beaufort, NC 28516

Thank you!

Megan Ziglar

917-751-7772

[email-masked]
--

Megan W Ziglar

Megan W Ziglar Interiors

[email-masked]

917-751-7772

www.meganwziglarinteriors.com